## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate pulldown-cmark

Name:           rust-pulldown-cmark
Version:        0.10.1
Release:        %autorelease
Summary:        Pull parser for CommonMark

License:        MIT
URL:            https://crates.io/crates/pulldown-cmark
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          pulldown-cmark-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A pull parser for CommonMark.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/pulldown-cmark

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gen-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gen-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "gen-tests" feature of the "%{crate}" crate.

%files       -n %{name}+gen-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getopts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getopts-devel %{_description}

This package contains library source intended for building other packages which
use the "getopts" feature of the "%{crate}" crate.

%files       -n %{name}+getopts-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+html-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+html-devel %{_description}

This package contains library source intended for building other packages which
use the "html" feature of the "%{crate}" crate.

%files       -n %{name}+html-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pulldown-cmark-escape-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pulldown-cmark-escape-devel %{_description}

This package contains library source intended for building other packages which
use the "pulldown-cmark-escape" feature of the "%{crate}" crate.

%files       -n %{name}+pulldown-cmark-escape-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Apr 06 2024 blinxen <h-k-81@hotmail.com> - 0.10.1-1
- Update to version 0.10.1; Fixes RHBZ#2262541

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2260638

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2208859

* Wed Mar 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-4
- Bump html5ever to v0.26 and markup5ever_rcdom to v0.2

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Update to version 0.9.2; Fixes RHBZ#2034952

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-9
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-6
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-4
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 11:19:56 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Thu May 07 2020 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Sat Feb 22 19:29:22 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sat Feb 15 16:29:57 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.6.1-3
- Update html5ever to 0.25

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Fri Sep 13 18:40:36 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Sun Jul 28 18:31:45 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 20:31:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-2
- Regenerate

* Fri May 31 15:34:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Tue May 14 15:27:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Tue Apr 16 2019 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Thu Apr 04 07:55:23 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-2
- Rebuild for rust-packaging v5

* Mon Nov 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
